## kholidays 5.54.0

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)

set(KF5_VERSION "5.54.0")
project(KHolidays VERSION ${KF5_VERSION})

find_package(ECM 5.54.0 REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
set(CMAKE_AUTORCC ON)

include(GenerateExportHeader)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)
include(CMakePackageConfigHelpers)
include(ECMSetupVersion)
include(ECMPoQmTools)
include(FeatureSummary)
include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
include(ECMCoverageOption)
include(ECMAddQch)

set(KHOLIDAYS_LIB_VERSION ${KF5_VERSION})

ecm_setup_version(PROJECT VARIABLE_PREFIX KHOLIDAYS
                        VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kholidays_version.h"
                        PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfigVersion.cmake"
                        SOVERSION 5
)

option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

########### Find packages ###########
set(QT_REQUIRED_VERSION 5.8.0)
find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Qml)

remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)


########### Targets ###########
add_subdirectory(src)

if(BUILD_TESTING)
  add_subdirectory(autotests)
endif()

if(IS_DIRECTORY "${CMAKE_CURRENT_SOURCE_DIR}/po")
  ecm_install_po_files_as_qm(po)
endif()

########### CMake Config Files ###########
set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF5Holidays")

if(BUILD_QCH)
  ecm_install_qch_export(
    TARGETS KF5Holidays_QCH
    FILE KF5HolidaysQchTargets.cmake
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
  )
  set(PACKAGE_INCLUDE_QCHTARGETS "include(\"\${CMAKE_CURRENT_LIST_DIR}/KF5HolidaysQchTargets.cmake\")")
endif()

configure_package_config_file(
  "${CMAKE_CURRENT_SOURCE_DIR}/KF5HolidaysConfig.cmake.in"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfig.cmake"
  INSTALL_DESTINATION ${CMAKECONFIG_INSTALL_DIR}
)

install(FILES
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfig.cmake"
  "${CMAKE_CURRENT_BINARY_DIR}/KF5HolidaysConfigVersion.cmake"
  DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
  COMPONENT Devel
)

install(EXPORT KF5HolidaysTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}" FILE KF5HolidaysTargets.cmake NAMESPACE KF5::)

install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kholidays_version.h
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5} COMPONENT Devel
)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

## kholidays 5.44.0

=== debian/changelog ===
kholidays (1:5.44.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.44.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Mar 2018 19:57:32 +0000

kholidays (1:5.43.0-0ubuntu1) bionic; urgency=medium

  * New upstream release (5.43.0) as part of KDE Frameworks.
  * Apply 1: epoch for new lower versioning scheme, as agreed with
    Debian and KDE Neon.
  * New upstream release (5.43.0)
  * Update symbols from build logs

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 11 Feb 2018 11:15:09 +0000

kholidays (17.08.3-0ubuntu1) bionic; urgency=medium

  * New upstream release (17.08.3)

 -- Rik Mills <rikmills@kubuntu.org>  Fri, 01 Dec 2017 15:06:00 +0000

kholidays (17.04.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (17.04.1)
  * Install translations and add Breaks/Replaces against kde-l10n
  * New upstream release (17.04.2)
  * New upstream release (17.04.3)

  [ Rik Mills ]
  * Correct typo in year in copyright. 3009, when 2009 was meant 

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 21 Aug 2017 14:33:15 +0100

kholidays (17.04.2-0ubuntu2) UNRELEASED; urgency=medium

  * debian/patches: drop upstream_Revert_Update_Turkish_Holiday_File.patch

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 12 Jun 2017 05:59:56 +0100

kholidays (16.12.3-0ubuntu1) artful; urgency=medium

  [ José Manuel Santamaría Lema ]
  * Update Vcs-Git fields to use https:// instead of git://
  * Pass '-fno-keep-inline-functions' to gcc in the acc test in order to
    avoid possible spurious test failures.
  * New upstream release (16.12.3)

  [ Rik Mills ]
  * New upstream release (16.12.0)
  * New upstream release (16.12.1)

  [ Darin Miller ]
  * New upstream release (16.12.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 01 May 2017 20:27:56 +0100

kholidays (16.04.3-0ubuntu1) yakkety; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * Remove upstream applied patch for isnan. 

  [ Philip Muškovac ]
  * Update the Vcs URLs now that the repositories are hosted on
    Launchpad

  [ Scarlett Clark ]
  * Bump SO version in install file. 
  * Add new qml package for kholidays.
  * New upstream bugfix release

  [ Clive Johnston ]
  * New upstream release (16.04.2)
  * New upstream release (16.04.3)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Fri, 30 Sep 2016 06:30:10 +0200

kholidays (15.12.3-0ubuntu2) xenial; urgency=medium

  * Add upstream patch ti fix build for new libc6. 
  * Remove newlines from patch. 
  * Fix whitepaces/newlines/cruft in patch. 
  * Release to archive.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 15 Apr 2016 05:48:11 -0700

kholidays (15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 15:24:15 -0700

kholidays (15.12.1-1ubuntu1) xenial; urgency=medium

  * Debian merge: No remaining changes.
  * New upstream release. 

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 09 Mar 2016 10:45:22 +0100

kholidays (15.12.0-1) experimental; urgency=medium

  * New upstream release (15.12.0).

 -- Maximiliano Curia <maxy@debian.org>  Mon, 01 Feb 2016 10:23:27 +0100

kholidays (15.12.0-0ubuntu1) UNRELEASED; urgency=medium

  [ Clive Johnston ]
  * New upstream release
  * Updating symbols

  [ Scarlett Clark ]
  * Refresh symbols. 
  * No change, trigger rebuild. 

 -- Clive Johnston <clivejo@aol.com>  Sat, 02 Jan 2016 13:55:29 +0000

kholidays (15.08.2-0ubuntu1) wily; urgency=medium

  * Vivid backport
  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 12:27:21 +0100

kholidays (15.08.1-1) experimental; urgency=medium

  * New upstream release (15.08.1).

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 03:16:23 +0200

kholidays (15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 16:53:19 +0100

kholidays (15.08.0-1) experimental; urgency=medium

  * Initial Debian release.

 -- Maximiliano Curia <maxy@debian.org>  Tue, 08 Sep 2015 16:36:34 +0200

kholidays (15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 17:26:27 +0100

kholidays (15.07.90-0ubuntu1) wily; urgency=medium

  [ Harald Sitter ]
  * Initial release

  [ Jonathan Riddell ]
  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 09:51:34 +0100

=== debian/control ===
Source: kholidays
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 9),
               extra-cmake-modules (>= 5.44.0~),
               libkf5itemviews-dev (>= 5.44.0~),
               libkf5kdelibs4support-dev (>= 5.44.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~)
Standards-Version: 3.9.6
Homepage: https://projects.kde.org/projects/kde/pim/kholidays
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays

Package: libkf5holidays-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5holidays5 (= ${binary:Version}),
         libkf5kdelibs4support-dev (>= 5.44.0~),
         ${misc:Depends},
         ${shlibs:Depends}
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf5holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5holidays5
Architecture: any
Multi-Arch: same
Depends: libkf5holidays-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml-module-org-kde-kholidays
Architecture: any
Depends: qml-module-qtquick2, ${misc:Depends}, ${shlibs:Depends}
Description: kholidays QtDeclarative QML support
 Contains a plugin for QtDeclarative that provides
 support for using KDE-kholidays components written
 in QML.
 .
 This package is part of the KDE PIM module.

=== debian/rules ===
#!/usr/bin/make -f

l10npkgs_firstversion_ok := 4:17.03.90-0~

include /usr/share/pkg-kde-tools/qt-kde-team/3/debian-qt-kde.mk
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

override_dh_strip:
	$(overridden_command) --ddeb-migration='libkf5holidays-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/kholidays-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/kholidays-([\d.]+).tar.xz

## kholidays 5.50.0

=== debian/changelog ===
kholidays (1:5.50.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.50.0)
  * Update symbols from build logs.

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 10 Sep 2018 22:13:12 +0100

kholidays (1:5.49.0-0ubuntu1) cosmic; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.48.0)
  * New upstream release (5.49.0)

  [ José Manuel Santamaría Lema ]
  * Update symbols files for GCC 8
  * Move away from dhmk and set compat level to 11 in order to reduce
    delta with Debian

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 21 Aug 2018 20:30:04 +0100

kholidays (1:5.47.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.47.0)
  * Merge with debian, notes:
    - keep using dhmk and debhelper compat level = 9, see:
      https://phabricator.kde.org/w/kubuntu/black-operations/pyramid/

 -- Rik Mills <rikmills@kubuntu.org>  Thu, 14 Jun 2018 15:49:00 +0100

kholidays (1:5.46.0-1) unstable; urgency=medium

  * New upstream release (5.46.0).
  * Update build-deps and deps with the info from cmake
  * Bump Standards-Version to 4.1.4.
  * Use https for the debian/copyright
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 May 2018 22:15:00 +0200

kholidays (1:5.46.0-0ubuntu1) cosmic; urgency=medium

  * New upstream release (5.45.0)
  * New upstream release (5.46.0)

 -- Rik Mills <rikmills@kubuntu.org>  Tue, 15 May 2018 15:56:12 +0100

kholidays (1:5.45.0-1) unstable; urgency=medium

  * New upstream release (5.45.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Sat, 05 May 2018 08:11:18 +0200

kholidays (1:5.44.0-1) sid; urgency=medium

  * New revision
  * Recommend the -doc package
  * New upstream release (5.44.0).
  * Update build-deps and deps with the info from cmake
  * Release to sid

 -- Maximiliano Curia <maxy@debian.org>  Wed, 21 Mar 2018 14:41:38 +0100

kholidays (1:5.43.0-2) experimental; urgency=medium

  * New revision
  * Add a libkf5holidays-doc package for the qch files
  * Update symbols files.
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Wed, 28 Feb 2018 10:01:16 +0100

kholidays (1:5.43.0-1) experimental; urgency=medium

  [ Sandro Knauß ]
  * Update build-deps and deps with the info from cmake
  * Remove not needed build-deps.
  * Bump Standards-Version 4.1.3 (no changes needed).
  * Enable build tests.

  [ Jonathan Riddell ]
  * Add epoch and new version for move to Frameworks

  [ Maximiliano Curia ]
  * Update watch file
  * New upstream release (5.43.0).
  * Update vcs fields
  * Move away from dhmk
  * Migrate to dh using compat 11
  * Update build-deps and deps with the info from cmake
  * Update install files
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 26 Feb 2018 11:44:30 +0100

kholidays (17.08.3-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * New upstream release (17.08.3).
  * Remove breaks/replaces for kde-l10n-ast and kde-l10n-eo.
  * Bump Standards-Version to 4.1.2 (No changes needed).
  * Bump debhelper build-dep and compat to 10.
  * Update symbols from buildds for 17.08.0
  * Set l10npkgs_firstversion_ok to 4:16.04.3-9~

 -- Sandro Knauß <hefee@debian.org>  Thu, 21 Dec 2017 17:54:53 +0100

kholidays (17.08.0-1) experimental; urgency=medium

  * New upstream release (17.08.0)
  * Bump Standards-Version to 4.0.1.
  * Update upstream metadata
  * Update build-deps and deps with the info from cmake
  * Bump group breaks (17.08)
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Fri, 01 Sep 2017 22:14:42 +0200

kholidays (17.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 17 Aug 2017 09:35:29 +0000

kholidays (17.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 12 Jul 2017 10:21:30 +0000

kholidays (17.04.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 07 Jun 2017 12:21:56 +0000

kholidays (17.04.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 11 May 2017 18:19:16 +0000

kholidays (17.04.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 19 Apr 2017 13:04:11 +0000

kholidays (16.12.3a-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 16 Mar 2017 19:22:28 +0000

kholidays (16.12.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Mar 2017 13:48:40 +0000

kholidays (16.12.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 08 Feb 2017 16:59:52 +0000

kholidays (16.12.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Jan 2017 13:19:00 +0000

kholidays (16.12.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 14 Dec 2016 16:27:45 +0000

kholidays (16.08.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 21 Nov 2016 13:54:27 +0000

kholidays (16.08.2-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 14 Oct 2016 13:39:52 +0000

kholidays (16.08.1-1~1.gbp4a2d42) UNRELEASED; urgency=medium

  ** SNAPSHOT build @4a2d42fcde8c954593ffa4651d8e59f4edf8915c **

  [ Maximiliano Curia ]
  ** SNAPSHOT build @07bd7cf665aeb5aba42fb3d317e6f9bff7e0be9b **

  * UNRELEASED

  [ Automatic packaging ]
  * Update build-deps and deps with the info from cmake
  * Update symbols files

 -- Automatic packaging <maxy+jenkins@gnuservers.com.ar>  Fri, 09 Sep 2016 13:38:43 +0200

kholidays (16.08.1-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 16 Sep 2016 13:06:47 +0000

kholidays (16.08.0-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 17 Aug 2016 11:48:55 +0000

kholidays (16.04.3-0neon) xenial; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Tue, 12 Jul 2016 11:38:27 +0000



=== debian/control ===
Source: kholidays
Section: libs
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 3.0~),
               debhelper (>= 11),
               doxygen (>= 1.8.13~),
               extra-cmake-modules (>= 5.50.0~),
               graphviz,
               libqt5sql5-sqlite,
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.8.0~),
               qtdeclarative5-dev (>= 5.8.0~),
               qttools5-dev (>= 5.6.1~),
Standards-Version: 4.1.4
Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays

Package: libkf5holidays-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: ${kde-l10n:all}
Replaces: ${kde-l10n:all}
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: libkf5holidays-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkf5holidays5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Recommends: libkf5holidays-doc (= ${source:Version})
Description: holidays calculation library - development files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the development files.

Package: libkf5holidays-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}
Description: holidays calculation library (documentation)
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the qch documentation files.

Package: libkf5holidays5
Architecture: any
Multi-Arch: same
Depends: libkf5holidays-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: holidays calculation library
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package is part of the KDE Development Platform PIM libraries module.

Package: qml-module-org-kde-kholidays
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: holidays calculation library - qml files
 This library provides a C++ API that determines holiday and other special
 events for a geographical region.
 .
 This package contains the QML module.

## kholidays 5.54.0

=== debian/changelog ===
kholidays (1:5.54.0-1) unstable; urgency=medium

  * New upstream release (5.52.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.53.0).
  * Update build-deps and deps with the info from cmake
  * New upstream release (5.54.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jan 2019 19:26:52 -0300

kholidays (1:5.51.0-1) unstable; urgency=medium

  * New upstream release (5.50.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * New upstream release (5.51.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Wed, 07 Nov 2018 17:16:52 +0100

kholidays (1:5.49.0-1) unstable; urgency=medium

  * New upstream release (5.48.0).
  * Update build-deps and deps with the info from cmake
  * Update copyright information
  * New upstream release (5.49.0).
  * Update build-deps and deps with the info from cmake
  * Update symbols files.
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 17 Aug 2018 16:18:33 +0200

kholidays (1:5.47.0-1) unstable; urgency=medium

  * New upstream release (5.47.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 15 Jun 2018 12:09:18 +0200

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.50.0~),
+               extra-cmake-modules (>= 5.54.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.8.0~),
                qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
+               qttools5-dev (>= 5.2.0),
 Standards-Version: 4.1.4
 Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kholidays
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kholidays.git
 
 Package: libkf5holidays-data
 Architecture: all
@@ -31,9 +31,9 @@
  This package is part of the KDE Development Platform PIM libraries module.
 
 Package: libkf5holidays-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
 Depends: libkf5holidays5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -43,11 +43,12 @@
  events for a geographical region.
  .
  This package contains the development files.
+Breaks: libkf5alarmcalendar-dev (<< 4:17.08)
 
 Package: libkf5holidays-doc
+Section: doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: holidays calculation library (documentation)
  This library provides a C++ API that determines holiday and other special
@@ -66,11 +67,15 @@
  events for a geographical region.
  .
  This package is part of the KDE Development Platform PIM libraries module.
+Breaks: kalarm (<< 4:17.08),
+        korganizer (<< 4:17.08),
+        libkf5alarmcalendar5 (<< 4:17.08),
+        libkf5calendarsupport5 (<< 4:17.08),
 
 Package: qml-module-org-kde-kholidays
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: holidays calculation library - qml files
  This library provides a C++ API that determines holiday and other special
  events for a geographical region.

## kholidays 5.56.0

=== debian/changelog ===
kholidays (1:5.56.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.56.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 09 Mar 2019 16:35:48 +0000

kholidays (1:5.55.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.55.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 13 Feb 2019 08:31:02 +0000

kholidays (1:5.54.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.54.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sun, 13 Jan 2019 12:34:48 +0000

kholidays (1:5.53.0-0ubuntu1) disco; urgency=medium

  * New upstream release (5.53.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 09 Dec 2018 20:48:32 +0000

kholidays (1:5.52.0-0ubuntu1) disco; urgency=medium

  [ Rik Mills ]
  * New upstream release (5.51.0)

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.52.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Thu, 22 Nov 2018 14:42:03 +0000

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.54.0~),
+               extra-cmake-modules (>= 5.56.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
                qtbase5-dev (>= 5.8.0~),
                qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.2.0),
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kholidays
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kholidays.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
 
 Package: libkf5holidays-data
 Architecture: all
@@ -31,9 +31,9 @@
  This package is part of the KDE Development Platform PIM libraries module.
 
 Package: libkf5holidays-dev
-Section: libdevel
 Architecture: any
 Multi-Arch: same
+Section: libdevel
 Depends: libkf5holidays5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -43,12 +43,11 @@
  events for a geographical region.
  .
  This package contains the development files.
-Breaks: libkf5alarmcalendar-dev (<< 4:17.08)
 
 Package: libkf5holidays-doc
-Section: doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: holidays calculation library (documentation)
  This library provides a C++ API that determines holiday and other special
@@ -67,15 +66,11 @@
  events for a geographical region.
  .
  This package is part of the KDE Development Platform PIM libraries module.
-Breaks: kalarm (<< 4:17.08),
-        korganizer (<< 4:17.08),
-        libkf5alarmcalendar5 (<< 4:17.08),
-        libkf5calendarsupport5 (<< 4:17.08),
 
 Package: qml-module-org-kde-kholidays
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: holidays calculation library - qml files
  This library provides a C++ API that determines holiday and other special
  events for a geographical region.

## kholidays 5.62.0

=== debian/changelog ===
kholidays (1:5.62.0-1) unstable; urgency=medium

  * Update reprotest args variable
  * New upstream release (5.62.0).
  * Update build-deps and deps with the info from cmake
  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Fri, 20 Sep 2019 10:13:02 -0700

kholidays (1:5.61.0-1) experimental; urgency=medium

  * Salsa CI automatic initialization by Tuco
  * New upstream release (5.61.0).
  * Ignore reprotest build path variations
  * Update build-deps and deps with the info from cmake
  * Release to experimental

 -- Maximiliano Curia <maxy@debian.org>  Mon, 09 Sep 2019 21:10:33 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
+Build-Depends: cmake (>= 3.5~),
                debhelper (>= 11),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.56.0~),
+               extra-cmake-modules (>= 5.62.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
+               qtbase5-dev (>= 5.11.0~),
+               qtdeclarative5-dev (>= 5.11.0~),
+               qttools5-dev (>= 5.2.0),
 Standards-Version: 4.1.4
 Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
-Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kholidays
+Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kholidays.git
 
 Package: libkf5holidays-data
 Architecture: all
@@ -31,9 +31,9 @@
  This package is part of the KDE Development Platform PIM libraries module.
 
 Package: libkf5holidays-dev
+Section: libdevel
 Architecture: any
 Multi-Arch: same
-Section: libdevel
 Depends: libkf5holidays5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -43,11 +43,12 @@
  events for a geographical region.
  .
  This package contains the development files.
+Breaks: libkf5alarmcalendar-dev (<< 4:17.08)
 
 Package: libkf5holidays-doc
+Section: doc
 Architecture: all
 Multi-Arch: foreign
-Section: doc
 Depends: ${misc:Depends}
 Description: holidays calculation library (documentation)
  This library provides a C++ API that determines holiday and other special
@@ -66,11 +67,15 @@
  events for a geographical region.
  .
  This package is part of the KDE Development Platform PIM libraries module.
+Breaks: kalarm (<< 4:17.08),
+        korganizer (<< 4:17.08),
+        libkf5alarmcalendar5 (<< 4:17.08),
+        libkf5calendarsupport5 (<< 4:17.08),
 
 Package: qml-module-org-kde-kholidays
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Multi-Arch: same
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: holidays calculation library - qml files
  This library provides a C++ API that determines holiday and other special
  events for a geographical region.

## kholidays 5.68.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,15 +1,14 @@
 cmake_minimum_required(VERSION 3.5)
 
-set(KF5_VERSION "5.54.0")
+set(KF5_VERSION "5.68.0")
 project(KHolidays VERSION ${KF5_VERSION})
 
-find_package(ECM 5.54.0 REQUIRED NO_MODULE)
+find_package(ECM 5.68.0 REQUIRED NO_MODULE)
 set(CMAKE_MODULE_PATH ${ECM_MODULE_PATH})
 set(CMAKE_AUTORCC ON)
 
 include(GenerateExportHeader)
 include(ECMGenerateHeaders)
-include(ECMGeneratePriFile)
 include(CMakePackageConfigHelpers)
 include(ECMSetupVersion)
 include(ECMPoQmTools)
@@ -19,6 +18,7 @@
 include(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)
 include(ECMCoverageOption)
 include(ECMAddQch)
+include(ECMGeneratePriFile)
 
 set(KHOLIDAYS_LIB_VERSION ${KF5_VERSION})
 
@@ -32,13 +32,14 @@
 add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")
 
 ########### Find packages ###########
-set(QT_REQUIRED_VERSION 5.8.0)
-find_package(Qt5 ${QT_REQUIRED_VERSION} CONFIG REQUIRED Core Qml)
+set(REQUIRED_QT_VERSION 5.12.0)
+find_package(Qt5 ${REQUIRED_QT_VERSION} CONFIG REQUIRED Core Qml)
 
 remove_definitions(-DQT_NO_CAST_FROM_ASCII -DQT_NO_CAST_TO_ASCII)
 
-
 ########### Targets ###########
+add_definitions(-DQT_NO_FOREACH)
+add_definitions(-DQT_DISABLE_DEPRECATED_BEFORE=0x050d00)
 add_subdirectory(src)
 
 if(BUILD_TESTING)

=== src/CMakeLists.txt ===

include(CheckIncludeFiles)

ecm_create_qm_loader(kholidays_QM_LOADER libkholidays5_qt)

check_include_files(err.h HAVE_ERR_H)
check_include_files(sys/cdefs.h HAVE_SYS_CDEFS_H)

configure_file(config-kholidays.h.cmake ${KHolidays_BINARY_DIR}/src/config-kholidays.h)

set(kholidays_SRCS
  astroseasons.cpp
  holiday.cpp
  holidayregion.cpp
  lunarphase.cpp
  sunriseset.cpp
  zodiac.cpp
  parsers/holidayparserdriver.cpp
  parsers/qcalendarsystem.cpp
  parsers/plan2/holidayscannerplan.cpp
  parsers/plan2/holidayparserdriverplan.cpp
  parsers/plan2/holidayparserplan.cpp
  ${kholidays_QM_LOADER}
  ../holidays/holidays.qrc
)

add_library(KF5Holidays ${kholidays_SRCS})
generate_export_header(KF5Holidays BASE_NAME KHolidays)

add_library(KF5::Holidays ALIAS KF5Holidays)

target_include_directories(KF5Holidays INTERFACE "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays>")
target_include_directories(KF5Holidays PUBLIC "$<BUILD_INTERFACE:${KHolidays_SOURCE_DIR}/src;${KHolidays_BINARY_DIR}/src>")
target_include_directories(KF5Holidays PUBLIC "$<BUILD_INTERFACE:${KHolidays_SOURCE_DIR}/src/parsers/plan2>")

target_link_libraries(KF5Holidays PUBLIC Qt5::Core)

set_target_properties(KF5Holidays PROPERTIES
  VERSION ${KHOLIDAYS_VERSION_STRING}
  SOVERSION ${KHOLIDAYS_SOVERSION}
  EXPORT_NAME Holidays
)

ecm_generate_headers(KHolidays_CamelCase_HEADERS
  HEADER_NAMES
  AstroSeasons
  Holiday
  HolidayRegion
  LunarPhase
  SunRiseSet
  Zodiac
  PREFIX KHolidays
  REQUIRED_HEADERS KHolidays_HEADERS
)

install(TARGETS KF5Holidays EXPORT KF5HolidaysTargets ${KF5_INSTALL_TARGETS_DEFAULT_ARGS})

########### install files ###############
install(FILES
  ${CMAKE_CURRENT_BINARY_DIR}/kholidays_export.h
  ${KHolidays_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays/kholidays
  COMPONENT Devel
)

install(FILES
  ${KHolidays_CamelCase_HEADERS}
  DESTINATION ${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays/KHolidays
  COMPONENT Devel
)

if(BUILD_QCH)
  ecm_add_qch(
    KF5Holidays_QCH
    NAME KHolidays
    BASE_NAME KF5Holidays
    VERSION ${KF5_VERSION}
    ORG_DOMAIN org.kde
    SOURCES # using only public headers, to cover only public API
      ${KHolidays_HEADERS}
    MD_MAINPAGE "${CMAKE_SOURCE_DIR}/README.md"
    LINK_QCHS
      Qt5Core_QCH
    INCLUDE_DIRS
      ${CMAKE_CURRENT_BINARY_DIR}
    BLANK_MACROS
      KHOLIDAYS_EXPORT
    TAGFILE_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
    QCH_INSTALL_DESTINATION ${KDE_INSTALL_QTQCHDIR}
    COMPONENT Devel
  )
endif()

ecm_generate_pri_file(
  BASE_NAME KHolidays
  LIB_NAME KF5Holidays
  DEPS "widgets"
  FILENAME_VAR PRI_FILENAME
  INCLUDE_INSTALL_DIR ${KDE_INSTALL_INCLUDEDIR_KF5}/KHolidays
)

install(FILES ${PRI_FILENAME} DESTINATION ${ECM_MKSPECS_INSTALL_DIR})

add_subdirectory(declarative)

=== debian/changelog ===
kholidays (1:5.68.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.68.0)

 -- Rik Mills <rikmills@kde.org>  Wed, 25 Mar 2020 20:57:23 +0000

kholidays (1:5.67.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.67.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Feb 2020 09:50:09 +0000

kholidays (1:5.66.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.66.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 11 Jan 2020 13:19:00 +0000

kholidays (1:5.65.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.65.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sat, 14 Dec 2019 23:00:14 +0000

kholidays (1:5.64.0-0ubuntu1) focal; urgency=medium

  * New upstream release (5.63.0)
  * New upstream release (5.64.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 Nov 2019 21:24:22 +0000

kholidays (1:5.62.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.62.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 14 Sep 2019 08:06:46 +0100

kholidays (1:5.61.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.61.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Aug 2019 10:42:15 +0100

kholidays (1:5.60.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.60.0)

 -- Rik Mills <rikmills@kubuntu.org>  Sat, 20 Jul 2019 08:15:58 +0100

kholidays (1:5.59.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.59.0)

 -- Rik Mills <rikmills@kubuntu.org>  Wed, 12 Jun 2019 11:19:08 +0100

kholidays (1:5.58.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.58.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 13 May 2019 15:40:03 +0100

kholidays (1:5.57.0-0ubuntu1) eoan; urgency=medium

  * New upstream release (5.57.0)

 -- Rik Mills <rikmills@kubuntu.org>  Mon, 22 Apr 2019 08:37:44 +0100

=== debian/control ===
--- 
+++ 
@@ -3,20 +3,20 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.5~),
+Build-Depends: cmake (>= 3.0~),
                debhelper (>= 11),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.62.0~),
+               extra-cmake-modules (>= 5.68.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.11.0~),
-               qtdeclarative5-dev (>= 5.11.0~),
-               qttools5-dev (>= 5.2.0),
+               qtbase5-dev (>= 5.8.0~),
+               qtdeclarative5-dev (>= 5.8.0~),
+               qttools5-dev (>= 5.6.1~),
 Standards-Version: 4.1.4
 Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
-Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kholidays
-Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kholidays.git
+Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
 
 Package: libkf5holidays-data
 Architecture: all
@@ -31,9 +31,9 @@
  This package is part of the KDE Development Platform PIM libraries module.
 
 Package: libkf5holidays-dev
-Section: libdevel
 Architecture: any
 Multi-Arch: same
+Section: libdevel
 Depends: libkf5holidays5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
@@ -43,12 +43,11 @@
  events for a geographical region.
  .
  This package contains the development files.
-Breaks: libkf5alarmcalendar-dev (<< 4:17.08)
 
 Package: libkf5holidays-doc
-Section: doc
 Architecture: all
 Multi-Arch: foreign
+Section: doc
 Depends: ${misc:Depends}
 Description: holidays calculation library (documentation)
  This library provides a C++ API that determines holiday and other special
@@ -67,15 +66,11 @@
  events for a geographical region.
  .
  This package is part of the KDE Development Platform PIM libraries module.
-Breaks: kalarm (<< 4:17.08),
-        korganizer (<< 4:17.08),
-        libkf5alarmcalendar5 (<< 4:17.08),
-        libkf5calendarsupport5 (<< 4:17.08),
 
 Package: qml-module-org-kde-kholidays
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Architecture: any
 Multi-Arch: same
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: holidays calculation library - qml files
  This library provides a C++ API that determines holiday and other special
  events for a geographical region.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_LDFLAGS_MAINT_APPEND := -Wl,--as-needed

l10npkgs_firstversion_ok := 4:17.03.90-0~
include /usr/share/pkg-kde-tools/qt-kde-team/2/l10n-packages.mk

%:
	dh $@ --with kf5,pkgkde_symbolshelper --buildsystem kf5 --without build_stamp

override_dh_auto_configure:
	dh_auto_configure -- -DBUILD_QCH=ON

override_dh_strip:
	dh_strip --dbgsym-migration='libkf5holidays-dbg (<= 15.12.0-1~~)'

override_dh_auto_test:
	# Disable auto test at build time, fakeroot breaks them
	:

override_dh_gencontrol: l10npkgs_firstversion_ok
	dh_gencontrol

=== debian/tests/control ===
Tests: testsuite
Depends: @, @builddeps@, build-essential,
         dbus, xvfb, xauth
Restrictions: build-needed

## kholidays 5.74.0

=== debian/changelog ===
kholidays (1:5.74.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.74.0)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Sun, 13 Sep 2020 10:59:03 +0100

kholidays (1:5.73.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.73.0)
  * Update symbols.
  * Update install files.

 -- Rik Mills <rikmills@kde.org>  Sat, 08 Aug 2020 10:57:57 +0100

kholidays (1:5.72.0-0ubuntu2) groovy; urgency=medium

  * Drop testsuite, and remove unused acc test config.

 -- Rik Mills <rikmills@kde.org>  Sun, 02 Aug 2020 00:26:39 +0100

kholidays (1:5.72.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.72.0)

 -- Rik Mills <rikmills@kde.org>  Mon, 06 Jul 2020 20:32:33 +0100

kholidays (1:5.71.0-0ubuntu1) groovy; urgency=medium

  * New upstream release (5.71.0)

 -- Rik Mills <rikmills@kde.org>  Sun, 14 Jun 2020 12:06:15 +0100

kholidays (1:5.70.0-1ubuntu1) groovy; urgency=medium

  * Merge from debian unstable. Remaining changes:
    - Kubuntu Vcs fields.
    - debhelper-compat = 12 for backports.
    - Don't run tests at build time.

 -- Rik Mills <rikmills@kde.org>  Tue, 09 Jun 2020 21:53:55 +0100

kholidays (1:5.70.0-1) unstable; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 13.
  * New upstream release (5.70.0).
  * Update build-deps and deps with the info from cmake.
  * Wrap long lines in changelog entries: 16.04.1-1.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

 -- Sandro Knauß <hefee@debian.org>  Tue, 26 May 2020 23:55:41 +0200

kholidays (1:5.70.0-0ubuntu1) groovy; urgency=medium

  [ José Manuel Santamaría Lema ]
  * New upstream release (5.69.0)

  [ Rik Mills ]
  * New upstream release (5.70.0)

 -- Rik Mills <rikmills@kde.org>  Sat, 09 May 2020 12:31:49 +0100

kholidays (1:5.69.0-1) experimental; urgency=medium

  * Team upload.

  [ Sandro Knauß ]
  * Bump compat level to 12.
  * Bump Standards-Version to 4.5.0 (No changes needed).
  * Get rid of debug-symbol-migration package.
  * Add Rules-Requires-Root field to control.
  * New upstream release (5.69.0).
  * Update build-deps and deps with the info from cmake.
  * Enable hardening all.
  * Add Build-Depends-Package to symbols file.
  * Remove breaks/replacces on l10n packages, as the move is older than
    Debian stable.
  * Enable hardening all.
  * Remove not needed injection of linker flags.

 -- Sandro Knauß <hefee@debian.org>  Thu, 30 Apr 2020 00:56:21 +0200

=== debian/control ===
--- 
+++ 
@@ -3,27 +3,26 @@
 Priority: optional
 Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Maximiliano Curia <maxy@debian.org>
-Build-Depends: cmake (>= 3.0~),
-               debhelper (>= 11),
+Build-Depends: cmake (>= 3.5~),
+               debhelper-compat (= 12),
                doxygen (>= 1.8.13~),
-               extra-cmake-modules (>= 5.68.0~),
+               extra-cmake-modules (>= 5.74.0~),
                graphviz,
                libqt5sql5-sqlite,
                pkg-kde-tools (>> 0.15.15),
-               qtbase5-dev (>= 5.8.0~),
-               qtdeclarative5-dev (>= 5.8.0~),
-               qttools5-dev (>= 5.6.1~),
-Standards-Version: 4.1.4
+               qtbase5-dev (>= 5.12.0~),
+               qtdeclarative5-dev (>= 5.12.0~),
+               qttools5-dev (>= 5.2.0),
+Standards-Version: 4.5.0
 Homepage: https://api.kde.org/frameworks/kholidays/html/index.html
 Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
 Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kholidays
+Rules-Requires-Root: no
 
 Package: libkf5holidays-data
 Architecture: all
 Multi-Arch: foreign
 Depends: ${misc:Depends}, ${shlibs:Depends}
-Breaks: ${kde-l10n:all}
-Replaces: ${kde-l10n:all}
 Description: holidays calculation library
  This library provides a C++ API that determines holiday and other special
  events for a geographical region.
